Package org.jbpm.casemgmt.impl.audit

## Class CaseRoleAssignmentLog

- java.lang.Object
- - org.jbpm.casemgmt.impl.audit.CaseRoleAssignmentLog

- All Implemented Interfaces:
    `Serializable`

      @Entity
      public class CaseRoleAssignmentLog
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseRoleAssignmentLog()` |
    `CaseRoleAssignmentLog​(long processInstanceId, String caseId, String roleName, org.kie.api.task.model.OrganizationalEntity entity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getCaseId()` |
    `String` | `getEntityId()` |
    `long` | `getId()` |
    `Long` | `getProcessInstanceId()` |
    `String` | `getRoleName()` |
    `int` | `getType()` |
    `int` | `hashCode()` |
    `void` | `setCaseId​(String caseId)` |
    `void` | `setEntityId​(String entityId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setRoleName​(String roleName)` |
    `void` | `setType​(int type)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseRoleAssignmentLog

          public CaseRoleAssignmentLog()

    - #### CaseRoleAssignmentLog

          public CaseRoleAssignmentLog​(long processInstanceId,
                                       String caseId,
                                       String roleName,
                                       org.kie.api.task.model.OrganizationalEntity entity)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

    - #### getCaseId

          public String getCaseId()

    - #### setCaseId

          public void setCaseId​(String caseId)

    - #### getRoleName

          public String getRoleName()

    - #### setRoleName

          public void setRoleName​(String roleName)

    - #### getEntityId

          public String getEntityId()

    - #### setEntityId

          public void setEntityId​(String entityId)

    - #### getType

          public int getType()

    - #### setType

          public void setType​(int type)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`